# SessionFactory (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.connection.channel.direct
Interface SessionFactory

All Known Implementing Classes:
  SSHClient

    public interface SessionFactory

A factory interface for creating SSH `session channels`.

Method Summary
`Session` `startSession()` Opens a `session` channel.

Method Detail

### startSession

    Session startSession()
                         throws SSHException

  Opens a `session` channel. The returned `Session` instance allows `executing a remote command`, `starting a subsystem`, or `starting a shell`.

  Returns:
    the opened `session` channel
  Throws:
    `SSHException`
  See Also:
    `Session`

Copyright © 2009-2011. All Rights Reserved.